TULISAN - Feature #3600

Perbaikan Jurnal Sales (akun Inventory)
05/13/2025 06:23 PM - haykal haykal

Status: Closed Start date: 05/13/2025
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Selama ini 'kan nilai MAP itu dicatat di jurnalnya menggunakan GLAccount 1-1031 Inventory (contoh seperti foto diattach). Nah
sekarang pencatatannya tidak menggunakan GLAccount Inventory lagi, inginnya pencatatan GLAccountnya dibedakan berdasarkan
Category barang (field ProductGroup di PMDMATO0001)

Untuk mappingannya sudah aku buat di PFILOINTEGRATE

Khusus untk yg GLAccount 1-1030307 itu berarti dia akan terbentuk apabila barang yang dijual ProductGroup nya adalah selain
yang telah dimapping di PFILOINTEGRATE

Tolong dibuat seperti itu ya Mbak. (Sorry ya Mbak redmine ttg ini baru dibuat soalnya baru ada update juga dari usernya)
Kalau misalnya ada settingan yang salah atau kurang boleh diinfo aja ya Mbak.
Terimakasih.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (89)

History

#1 - 05/14/2025 10:23 AM - haykal haykal
Note: Settingan PFILOINTEGRATE nya lagi gua hapus dulu untk kepentingan ngetest dan show biar balance dan gak berantakan

Terimakasih.

#2 - 05/14/2025 05:43 PM - haykal haykal

Dear Mbak Yomma, settingan PFILOINTEGRATE nya udh aku balikin ya.
Terimakasih.

#3 - 05/15/2025 10:32 AM - Tri Rizqiaty

- Status changed from New to Assigned

- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal, kalau 1 document ada 3 material dgn 2 material product group sama, 1 material product groupnya beda, jurnalnya seperti apa?

#4 - 05/15/2025 12:00 PM - haykal haykal
- File Jurnal 3 material With Scenario.xIsx added

- Assignee changed from haykal haykal to Tri Rizqiaty

Jadinya dipecah aja Mbak. Kalau dulu 'kan yg GLAccount Inventory itu Total MAP semua barang. Kalau sekarang dari masing-masing barang.
Misalkan GLAccount Persediaan Barang Dagang - Accessories itu berarti nilainya adalah MAP dari barang yg ProductGroup nya Accessories (kalau
barang dengan ProductGroup Accessories ada lebih dari satu maka dijumlahkan).

Aku ambil contoh jurnalnya misalkan yg dari AR 00000642 aja ya. Aku bikin skenario pengandaian misalkan itu pakai 3 material dengan kondisi
seperti yg Mbak Yoma mention.

Detailnya aku lampirkan di file ya.
Terimakasih.

#5 - 05/20/2025 10:26 AM - Tri Rizgiaty
- File clipboard-202505201025-ybvza.png added
- Assignee changed from Tri Rizqiaty to haykal haykal

Account D.... T Figure PaymentType Pay.. C C. C.. ©C 5 5 M.. ProductGroup
5-201 D P. TotalMAP 00 NULL i 2. tri 2., N NONUL. NULE
1-103030 C P, TotalMAP 00 NULL  tri 2., tri 2.0 Mo NONUL. 04
1-1030302 C  P. TotalMAP 01 NULL i 2. tn 2. M. NONLL. O7
1-1030303 C  P. TotalMAP 02 NULL (tn 2. o |2, Mo NCNUG. 1T
1-1030304 € P, TotalMAP 03 NULL  tri 2. tri 2. Mo NONUL. 01
1-1030305 C P. TotalMAP 04 NULL i 2.t 2. M. N NUL. 0D
1-1030306 C  P. TotalMAP 05 NULL #i 2. 0 |2, M., NONLL, 12
1-1030307 C  P. TotalMAP 06 NULL i 2. tri 2. M. N NU
1-1030308 € P, TotalMAP 07 NULL  tri 2. tri 2., Mo NONUL. 10
MNULL M. N NULL MULL NULL  MLNLMG NG NG N NLL, NULE

Kalau dilihat dr settingan, apa paymenttype jg penentu glaccount?
Misal apakah product group 07 hrs selalu dengan paymenttype 01 untuk glaccount 1-1030302 ?

#6 - 05/20/2025 11:07 AM - haykal haykal

- Assignee changed from haykal haykal to Tri Rizqgiaty
Nggak sih Mbak, gakada kaitan dengan PaymentType.
Udh aku bikin 00 semua ya settingannya.

Terimakasih.

#7 - 05/20/2025 04:47 PM - Tri Rizqiaty

- File MinovalS.MinovaES.Business.Logistic.dll added
- Status changed from Assigned to Developing

Fixing :

Update folde API2/bin : MinovalS.MinovaES.Business.Logistic.dll
#8 - 05/20/2025 04:47 PM - Tri Rizqiaty

- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#9 - 05/21/2025 09:57 AM - haykal haykal
- File Tidak perlu muncul kalau tidak ada.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma, kalo boleh yg akun Persediaan Barang Dagang - Lainnya tidak perlu muncul ya kalau misalnya di transaksi Salesnya tidak
terdapat barang dengan kategori lainnya itu.

Contoh DocNo SORD: 00000828

Terimakasih.

#10 - 05/22/2025 04:21 PM - Tri Rizqiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal
Update API2/bin : MinovalS.MinovaES.Business.Logistic.dll

#11 - 05/26/2025 04:44 PM - haykal haykal
- Status changed from QA Test to Closed

Files
Jurnal 3 material With Scenario.xIsx
